Bug 147485 - Docx having pure VML group inside converted to DrawingML on save and Writer unable to open it.
Summary: Docx having pure VML group inside converted to DrawingML on save and Writer u...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.4.0.0 alpha0+ Master
Hardware: All All
: high major
Assignee: Attila Bakos (NISZ)
URL:
Whiteboard: target:7.4.0
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks: OOXML-Shapes
  Show dependency treegraph
 
Reported: 2022-02-17 07:21 UTC by NISZ LibreOffice Team
Modified: 2022-04-19 12:03 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Docx having pure VML group inside converted to DrawingML on save and Writer unable to open it. (61.08 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2022-02-17 07:25 UTC, NISZ LibreOffice Team
Details
The bugdoc opened with the fix (113.10 KB, image/jpeg)
2022-03-30 14:17 UTC, Attila Bakos (NISZ)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2022-02-17 07:21:51 UTC
Description:
Docx having pure VML group inside converted to DrawingML on save and Writer unable to open it.

Steps to Reproduce:
1.Open attachment and save it to docx
2.Reopening 


Actual Results:
Open attachment and save it to docx, reopen
->crash

Expected Results:
Open attachment and save it to docx, reopen ->No crash.


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.4.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 11a3e5707d6b524728b24e170eb542bba273d811
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: threaded
Comment 1 NISZ LibreOffice Team 2022-02-17 07:25:14 UTC
Created attachment 178338 [details]
Docx having pure VML group inside converted to DrawingML on save and Writer unable to open it.
Comment 2 Dieter 2022-03-04 09:31:18 UTC
It crashes when trying to save as docx

Version: 7.4.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: c856f9bec12d98ed49f01578ded79f16ae7be051
CPU threads: 4; OS: Windows 10.0 Build 19044; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: en-GB
Calc: CL



no crash when saving or reopening in

Version: 7.3.1.3 (x64) / LibreOffice Community
Build ID: a69ca51ded25f3eefd52d7bf9a5fad8c90b87951
CPU threads: 4; OS: Windows 10.0 Build 19044; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: en-GB
Calc: CL
Comment 3 Timur 2022-03-09 15:38:12 UTC
Let's focus on open crash:
 faa2cf7e941f2fedbe5069739a58e21bceeac110 is the first bad commit
Date:   Tue Mar 12022
    source sha:0d29394598db2e336a9982cbb7041ea407b2bf6d
author	Attila Bakos (NISZ) <bakos.attilakaroly@nisz.hu>	
tdf#147126 sw: fix missing as_char anchoring of group textboxes

CC Attila please see.
Comment 4 Timur 2022-03-09 15:39:20 UTC Comment hidden (obsolete)
Comment 5 Attila Bakos (NISZ) 2022-03-30 14:13:13 UTC
I have seen this one ;) There is the fix: https://gerrit.libreoffice.org/c/core/+/132308
Comment 6 Attila Bakos (NISZ) 2022-03-30 14:17:30 UTC
Created attachment 179215 [details]
The bugdoc opened with the fix
Comment 7 Commit Notification 2022-04-01 06:03:03 UTC
Attila Bakos (NISZ) committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2110597ac730fa07dbbdd603fda82b182ed27c9e

tdf#147485 sw: fix group shape crash using std::shared_ptr

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2022-04-01 11:23:34 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ede4b852cd183a93161a4a154865793317d9b452

Related: tdf147485 add forcepoint test-case for duplicate issue

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 NISZ LibreOffice Team 2022-04-19 12:03:03 UTC
Verified in:
Version: 7.4.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: a98971ac975e19efa2336b608506eefa85ce2485
CPU threads: 8; OS: Windows 10.0 Build 19042; UI render: Skia/Vulkan; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL